/*
 =======================================================================================
  Name        :dlgmodif.h
 
  Author      :vincent lhullier             Date :24/07/97
 
  Description : header file for dialog box that will contain all modification list
 =======================================================================================
  Modification -> Author :                  Date :
  Description :
 =======================================================================================
 */

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
#ifndef __DLGMODIF_H__
#define __DLGMODIF_H__
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
#include "resource.h"
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

/*
 =======================================================================================
	CModifListDialog dialog
 =======================================================================================
 */

class CModifListDialog : public CDialog
{
  // Construction
  public:
	CModifListDialog(CWnd* pParent = NULL);   // standard constructor

  // Dialog Data
	//{{AFX_DATA(CModifListDialog)
	enum { IDD = IDD_DIALOG_LISTMODIF };
	//}}AFX_DATA


  // Implementation
  protected:

	// Generated message map functions
	//{{AFX_MSG(CModifListDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonHelp();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSizing( UINT nSide, LPRECT lpRect );
	afx_msg void OnDestroy();
	afx_msg void OnCheckAll();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  private:
	void m_fn_vFillModifList( BOOL _bAll );
};

/*
 =======================================================================================
	CModifListErrorDlg  dialog
 =======================================================================================
 */

class CModifListErrorDlg : public CDialog
{
  //data member
  private:
	  long	m_lNumberOfErrors;
	  char	**m_pp_szError;
  // Construction
  public:
	CModifListErrorDlg(long _lNbErrors, char **_d_szError, CWnd* pParent = NULL);   // standard constructor

  // Dialog Data
 	//{{AFX_DATA(CModifListErrorDlg)
	enum { IDD = IDD_DIALOG_MODIFLISTERROR };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


  // Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CModifListErrorDlg)
	//}}AFX_VIRTUAL

  // Implementation
  protected:

	// Generated message map functions
	//{{AFX_MSG(CModifListErrorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSizing(UINT nSide, LPRECT lpRect);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
#endif //__DLGMODIF_H__
